Skip to content
CustomersCustomer

Create customer session

Exchanges the OAuth code with PKCE and creates a customer session.

POST/v1/customer/sessions
No token

Header Parameters

x-Store-Domain*string

Slug of the store or one of its configured domains, such as my-store.

Length1 <= length <= 253

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://storefront.ecomiq.pe/v1/customer/sessions" \  -H "x-Store-Domain: my-store" \  -H "Content-Type: application/json" \  -d '{    "code": "POL-001",    "codeVerifier": "Andrea Ramos",    "redirectUri": "https://erp.example.com/webhooks/ecomiq",    "nonce": "Andrea Ramos"  }'
{  "sessionId": "7204558912004323902",  "expiresAt": "2026-09-28T15:30:00Z",  "customer": {    "id": "7204558912004326262",    "firstName": "Andrea",    "lastName": "Ramos",    "email": "andrea.ramos@example.com",    "status": "active"  }}